// ***********************************************************
// This example support/index.js is processed and
// loaded automatically before your test files.
//
// This is a great place to put global configuration and
// behavior that modifies Cypress.
//
// You can change the location of this file or turn off
// automatically serving support files with the
// 'supportFile' configuration option.
//
// You can read more here:
// https://on.cypress.io/configuration
// ***********************************************************

// Import commands.js using ES2015 syntax:
import './commands'

// Alternatively you can use CommonJS syntax:
// require('./commands')


beforeEach(() => {
  // Intercept the GET /app_features request and return an empty array
  // to simulate the backend returning an empty set of app features
  cy.intercept('GET', /\S+\/app_features/, {
    statusCode: 200,
    body: [],
  }).as('getAppFeatures');

  cy.intercept('GET', /\S+\/users\/\S+\/profile/, {
    statusCode: 200,
    body: {
      id: 1,
      name: 'Jane Doe',
      email: 'jane@example.com',
    },
  }).as('getUserProfile');

  cy.intercept('GET', /\S+\/users\/\S+\/my_notifications/, {
    statusCode: 200,
    body: [],
  }).as('getMyNotifications');

  cy.intercept('GET', /\S+\/users\/\S+\/friends/, {
    statusCode: 200,
    body: [],
  }).as('getMyFriends');

});



